Delete Backup (V2)
Delete the specified backup of a cluster. Note that this API only applies to dedicated clusters.
DELETE/v2/clusters/{CLUSTER_ID}/backups/{BACKUP_ID}
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
📘Notes
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
CLUSTER_IDstringpathrequired
The ID of the cluster whose backup is to be deleted.
Example Value: inxx-xxxxxxxxxxxxxxx
BACKUP_IDstringpathrequired
The ID of the backup to be deleted.
Example Value: backupx_xxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
export BACKUP_ID="backupx_xxxxxxxxxxxxxxx"
curl --request DELETE \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}/backups/${BACKUP_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses200 OK - application/json
response
One of the possible response bodies this operation can return.
codeinteger
Response code.
dataobject
Response payload which is the information about the deleted backup.
backupIdstring
The ID of the backup that has been deleted.
Example Value: backupx_xxxxxxxxxxxxxxx
backupNamestring
The name of the backup that has been deleted.
Returns an error message.
codeinteger
Response code.
messagestring
Error message.
Successjson
{
"code": 0,
"data": {
"backupId": "backupx-xxxxxxxxxxxxxx",
"backupName": "Dedicated-01_backup1"
}
}